|  | Home | Documentation | soap_curl_data Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
soap_curl_data Struct Reference

plugin data to store CURL handle and override callbacks More...

`#include <curlapi.h>`

## Public Attributes

struct soap * | soap
CURL * | curl
short | own
short | active
struct curl_slist * | hdr
char * | blk
char * | ptr
struct soap_blist * | lst
soap_mode | mode
char | buf [CURL_ERROR_SIZE]
int(* | fconnect )(struct soap *, const char *, const char *, int)
int(* | fsend )(struct soap *, const char *, size_t)
size_t(* | frecv )(struct soap *, char *, size_t)
int(* | fprepareinitrecv )(struct soap *)
int(* | fpreparefinalrecv )(struct soap *)

## Detailed Description

plugin data to store CURL handle and override callbacks

## Member Data Documentation

## ◆ active

short soap_curl_data::active

when true: override IO

## ◆ blk

char* soap_curl_data::blk

current block of data received from CURL stored in blist lst

## ◆ buf

char soap_curl_data::buf[CURL_ERROR_SIZE]

## ◆ curl

CURL* soap_curl_data::curl

CURL handle (passed as arg to plugin or internal)

## ◆ fconnect

int(* soap_curl_data::fconnect) (struct soap *, const char *, const char *, int)

## ◆ fpreparefinalrecv

int(* soap_curl_data::fpreparefinalrecv) (struct soap *)

## ◆ fprepareinitrecv

int(* soap_curl_data::fprepareinitrecv) (struct soap *)

## ◆ frecv

size_t(* soap_curl_data::frecv) (struct soap *, char *, size_t)

## ◆ fsend

int(* soap_curl_data::fsend) (struct soap *, const char *, size_t)

## ◆ hdr

struct curl_slist* soap_curl_data::hdr

to add custom HTTP headers

## ◆ lst

struct soap_blist* soap_curl_data::lst

block list with data sent to CURL and received from CURL

## ◆ mode

soap_mode soap_curl_data::mode

## ◆ own

short soap_curl_data::own

we own the CURL handle

## ◆ ptr

char* soap_curl_data::ptr

points to data in blk

## ◆ soap

struct soap* soap_curl_data::soap

The documentation for this struct was generated from the following file:

- curlapi.h